Bug 1461003 - [RFE] Remove --type option from subscription-manager register
Summary: [RFE] Remove --type option from subscription-manager register
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-13 10:42 UTC by Rich Jerrido
Modified: 2018-04-10 09:49 UTC (History)
8 users (show)

Fixed In Version: subscription-manager-1.20.2-1
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 09:49:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0681 None None None 2018-04-10 09:49:28 UTC
Red Hat Bugzilla 1485008 None CLOSED subscription-manager register --type="RHUI" or --type="rhui" should both work as documented in various KBase articles 2019-03-21 08:41:13 UTC

Internal Links: 1485008

Description Rich Jerrido 2017-06-13 10:42:34 UTC
Description of problem:


The --type option of the subscription-manager register command, which is used to control which consumer type is created when a user registers a system, should be removed as

- For an end user, there is no reason to use an option other than --type=system (which is the default) 
- Occasionally Satellite users will use the --type satellite option which causes issues if the consumer is ever deleted (as they've created a distributor which gets removed if they ever run subscription-manager unregister)

To remove confusion, and lower case volume, the --type command should be removed. 

Version-Release number of selected component (if applicable):
subscription-manager-1.17.15-1

Comment 12 Rehana 2017-11-09 12:40:09 UTC
Demonstrating the presence of "--type"on RHEL74 machine 
======================================================

subscription-manager: 1.19.21-1.el7
python-rhsm: 1.19.9-1.el7

# subscription-manager register --
--activationkey  --autosubscribe  --consumerid     --force          --insecure       --noproxy        --password       --proxypassword  --release    --servicelevel   --username --auto-attach    --baseurl        --environment    --help           --name           --org            --proxy          --proxyuser      --serverurl      --type  

# subscription-manager register --h | grep type
  --type=UNITTYPE       the type of unit to register, defaults to system

# man subscription-manager | grep "CONSUMERTYPE" -A5
       --type=CONSUMERTYPE
              Sets  the  type  of unit to register. Most units in the inventory will use the default value of system.  For development or test units, this can be person , which indicates a personal (rather than organizational) unit. Another type of unit can be candlepin for a local content service or domain for an IP domain.


Demonstrating that the --type option is now removed from the following areas on RHEL75
===========================================================================
with following packages installed 

subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64
subscription-manager-gui-1.20.5-1.el7.x86_64
subscription-manager-initial-setup-addon-1.20.5-1.el7.x86_64
subscription-manager-migration-data-2.0.37-1.el7.noarch
subscription-manager-1.20.5-1.el7.x86_64
subscription-manager-rhsm-1.20.5-1.el7.x86_64
subscription-manager-migration-1.20.5-1.el7.x86_64

1) tab completion of options doesn't list --type any more 

# subscription-manager register --
--activationkey  --autosubscribe  --consumerid     --force          --insecure       --noproxy        --password       --proxypassword  --release     --servicelevel   
--auto-attach    --baseurl        --environment    --help           --name           --org            --proxy          --proxyuser      --serverurl      --username   

2) subscription-manager register -h no longer provides --type 

# subscription-manager register --h | grep type
# 

3) man subscription-manager --> no longer displays --type 

# man subscription-manager | grep "CONSUMERTYPE" -A5
[root@ibm-x3650m4-01-vm-09 ~]# 

Based on the above observations , marking the bug as "Verified"

Comment 13 Rehana 2017-11-09 12:49:06 UTC
Also when tried to use --type option for any other values except system and rhui appropriate error message is displayed 


# subscription-manager register --type=candlepin
Error: The --type option has been deprecated and may not be used.


# subscription-manager register --type=system --username=username --password=pwd
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
The system has been registered with ID: fdf182e4-93e5-471a-a52c-2f35009675b2
The registered system name is: ibm-x3650m4-01-vm-09.lab.eng.bos.redhat.com


# subscription-manager register --type=rhui --username=username --password=pwd
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
The system has been registered with ID: 067815ad-bd57-4a13-91b6-b4b220cf17a8
The registered system name is: ibm-x3650m4-01-vm-09.lab.eng.bos.redhat.com
#

Comment 16 errata-xmlrpc 2018-04-10 09:49:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0681


Note You need to log in before you can comment on or make changes to this bug.